Bug 124255 - gtk2 is grabbing all the key event first
Summary: gtk2 is grabbing all the key event first
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: IIIMF Indic
TreeView+ depends on / blocked
 
Reported: 2004-05-25 04:34 UTC by Leon Ho
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 02:27:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff for im-sdk (2.88 KB, patch)
2004-06-08 08:49 UTC, Nakai
no flags Details | Diff

Description Leon Ho 2004-05-25 04:34:22 UTC
Description of problem:
When IIIMF language is enabled, gtk2 still grabbing some of the key
event first, hence some of the feature key in language engine cannot
be used.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1. service Iiim start
2. LANG=hi_IN.UTF-8 gedit
3. should ran unitLE, press 'ctrl-space' to activiate
4. press F6 for switching the input style (trans or inscript)
5. or press F5 to switch the unitLE input methods

Actual results:
not response, as gtk app ate the key event

Expected results:
should able to change input style

Additional info:

Comment 1 Nakai 2004-05-27 07:27:36 UTC
This bug is avoidable in each immodule side implementation.

Comment 2 Nakai 2004-05-27 07:31:18 UTC
Mmm, immodule for this is im-iiim.so, so this is still GTK+2 issue,
anyway...

Comment 3 Nakai 2004-06-08 08:49:22 UTC
Created attachment 100958 [details]
diff for im-sdk

Comment 4 Nakai 2004-06-08 08:57:43 UTC
Comment on attachment 100958 [details]
diff for im-sdk

Mozilla loops for me with
this patch. Useless.

Comment 5 Matthias Clasen 2004-06-25 02:27:54 UTC
This issue is tracked upstream in
http://bugzilla.gnome.org/show_bug.cgi?id=90082


Note You need to log in before you can comment on or make changes to this bug.